﻿<?xml version="1.0" encoding="utf-8"?>
<Application>
	<DisplayInfo Title="Cura" Publisher="Ultimaker" Version="" ReleaseDate="">
		<UserCategories>
			<Category>Pre-Approved</Category>
		</UserCategories>
		<SoftwareCategories>
			<Category>Pre-Approved</Category>
		</SoftwareCategories>
	</DisplayInfo>
	<DeploymentType Title="" Architecture="x64" Technology="Script" DetectionMethod="Script" ContentLocation="\\server01\sources$\Ultimaker\Cura\archive\{SoftwareVersion}\win_{Architecture}\">
		<UninstallCommand>"Deploy-Application.exe" UNINSTALL -InstallVersion {SoftwareVersion}</UninstallCommand>
		<InstallCommand>"Deploy-Application.exe" INSTALL -InstallVersion {SoftwareVersion}</InstallCommand>
		<DetectionScript RunAs32Bit="False" Language="PowerShell">
			<TEXT>$DisplayName = '{DetectionName}'
$DisplayVersion = [version]'{DetectionVersion}'
$Architecture = '{Architecture}'
$DetectionRegPath = 'HKLM:\SOFTWARE\WOW6432Node\Microsoft\Windows\CurrentVersion\Uninstall'
$RegKey = Get-ChildItem -Path $DetectionRegPath | Where-Object {$_.GetValue('DisplayName') -like "*$($DisplayName) $($DisplayVersion.Major).$($DisplayVersion.Minor)*"}

if($RegKey) {
    if([version]$RegKey.GetValue('DisplayVersion') -ge $DisplayVersion) {
        return $true
    }
}
			</TEXT>
		</DetectionScript>
	</DeploymentType>
</Application>